<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ExternalTextureSource Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#55ce04b61a516a3e0d4286230f41bb84">addBaseParams</a>()</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#72f123ce494815d9871a7ab94bba5d17">createDefinedTexture</a>(const String &amp;sMaterialName, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)=0</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#0b6b1db913cfa51bbbcc5ba11263c8fa">destroyAdvancedTexture</a>(const String &amp;sTextureName, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)=0</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#0e34ec6e53b5700a266933002bc79304">ExternalTextureSource</a>()</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#a28903862b13998da8b8b0fb428dfb8e">getDictionaryStringName</a>(void) const </td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#10eac58cfe245bb52a9c2c61f0b41006">getFPS</a>() const </td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#d196bc06c24c0d17890a760dae247d3d">getInputName</a>() const </td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#61b4f8e7e8c76590e0133222645356f6">getPlayMode</a>() const </td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#45f4862bcf2bc44a982aa6a0524e5953">getPlugInStringName</a>(void) const </td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#01a93264e389d82bd9f61141f2f07b0c">getTextureTecPassStateLevel</a>(int &amp;t, int &amp;p, int &amp;s) const </td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#4a1824ba326c263664991a548fe0658e">initialise</a>()=0</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#cde1eafee1423e396331809c06e32b56">mDictionaryName</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#345bf7d73aff2859ce5628e8f5b484d3">mFramesPerSecond</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#3621043aea2f5edcc28032a6013cd5a7">mInputFileName</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#55ca5fb3da9c71eab8f8529548248202">mMode</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#beb527adefb26d6e594506bf868ae407">mPassLevel</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#c7b64820b5355e6075b1140d57811c60">mPlugInName</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#b21a7c01aeae747f1bbf0d51f8b29b44">msCmdFramesPerSecond</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#04017bdaaeb625500ce8a27fda77df33">msCmdInputFile</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#a7fe34205819a66f3056762657c8aefc">msCmdPlayMode</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#786b5d47bacf959dc09eacc68257d3a6">msCmdTecPassState</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#ca03d9edd5cb1426ee802d35232341d8">mStateLevel</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#a47ef58a0f251bd727291834bf11375e">mTechniqueLevel</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#44a2d5670f7a876e9dff06d88ce83ae9">mUpdateEveryFrame</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#e13e199734e244f9155e28a4d534cee3">setFPS</a>(int iFPS)</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#ae89efb61be047a316c0baebdee9a7b2">setInputName</a>(String sIN)</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#6fdbcf165cc87a51d9a6436162e04080">setPlayMode</a>(eTexturePlayMode eMode)</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#a19976a1f1c0399882c95e26ece310dc">setTextureTecPassStateLevel</a>(int t, int p, int s)</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#cc278d166ca69e6a171a2ff12bc74b9f">shutDown</a>()=0</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSource.html#a919b910a2fbfb4fb250265545730468">~ExternalTextureSource</a>()</td><td><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:40 2008
</p>
</body>
</html>
